import request from "@/utils/request";

// 获取白名单列表
export function getWhiteUrlAll() {
  return request({
    url: "/erp/whiteUrl/all"
  });
}

/**
 * 新增白名单
 * @param {*} data  {"whiteUrl": "/url", "remark":"备注"}
 * @returns 
 */
export function addWhiteUrl(data) {
  return request({
    url: "/erp/whiteUrl",
    method: "post",
    data: data
  });
}

/**
 * 修改白名单
 * @param {*} whiteUrlId 白名单id
 * @param {*} data {"whiteUrl": "/url", "remark":"备注"}
 * @returns 
 */
export function updateWhiteUrl(whiteUrlId, data) {
  return request({
    url: "/erp/whiteUrl/" + whiteUrlId,
    method: "PUT",
    data: data
  });
}

/**
 * 删除白名单
 * @param {*} whiteUrlIds 白名单id
 * @returns 
 */
export function delMenu(whiteUrlIds) {
  return request({
    url: "/erp/whiteUrl/delByIds/" + whiteUrlIds,
    method: "delete"
  });
}
